/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.reports.model;

import com.google.api.client.json.GenericJson;

/**
 * JSON template for a collection of activites. Author: prakhar@google.com (Prakhar Jain)
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Reports API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Activities extends GenericJson {

  /**
   * Each record in read response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Activity> items;

  static {
    // hack to force ProGuard to consider Activity used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Activity.class);
  }

  /**
   * Kind of list response this is.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Token for retrieving the next page
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * Each record in read response.
   * The value returned may be {@code null}.
   */
  public java.util.List<Activity> getItems() {
    return items;
  }

  /**
   * Each record in read response.
   * The value set may be {@code null}.
   */
  public Activities setItems(java.util.List<Activity> items) {
    this.items = items;
    return this;
  }

  /**
   * Kind of list response this is.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of list response this is.
   * The value set may be {@code null}.
   */
  public Activities setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Token for retrieving the next page
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Token for retrieving the next page
   * The value set may be {@code null}.
   */
  public Activities setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

}
